using System.Collections.Generic;
using CodeHollow.FeedReader;

namespace WebSharpRSS.Models
{
    public class CategoryGuideItem : ISelectableGuideItem
    {
        public string CategoryTitle { get; set; }
        public string CategoryIcon { get; set; }
        private string _hexColor;

        public string CategoryHexColor
        {
            get => _hexColor;
            set => _hexColor = value.Insert(7, "80");
        }

        public bool IsExpanded { get; set; }
        public bool IsSelected { get; set; }
        public HashSet<FeedGuideItem> FeedItems { get; set; } = new HashSet<FeedGuideItem>() { new FeedGuideItem(FeedReader.ReadAsync("http://fedoramagazine.org/feed/").Result) };
    }
}